import numpy as np
import pandas as pd
import matplotlib.pyplot as plt

# サンプルデータ作成
data = {"Values": [10, 20, 20, 30, 40, 50, 70, 100]}
df = pd.DataFrame(data)

# 1. 範囲（Range）
range_value = df["Values"].max() - df["Values"].min()
print(f"範囲 (Range): {range_value}")

# 2. 四分位範囲（IQR）
q1 = df["Values"].quantile(0.25)
q3 = df["Values"].quantile(0.75)
iqr = q3 - q1
print(f"四分位範囲 (IQR): {iqr}")

# 3. ヒストグラム
plt.hist(df["Values"], bins=5, color="blue", edgecolor="black", alpha=0.7)
plt.title("ヒストグラム")
plt.xlabel("値")
plt.ylabel("頻度")
plt.show()
