import numpy as np
from scipy.stats import ttest_ind

# 仮説設定
# H0: グループAとグループBの平均に差はない
# H1: グループAとグループBの平均に差がある

# サンプルデータ作成
np.random.seed(42)
group_a = np.random.normal(50, 5, 30)  # グループAのデータ
group_b = np.random.normal(52, 5, 30)  # グループBのデータ

# t検定を実行
t_stat, p_value = ttest_ind(group_a, group_b)

# 結果の出力
print("t値:", t_stat)
print("p値:", p_value)

# 帰無仮説の検定
alpha = 0.05  # 有意水準
if p_value < alpha:
    print(f"p値が{alpha}より小さいため、帰無仮説（H0）は棄却されます。")
    print("結論: グループAとグループBの平均に有意な差があります。")
else:
    print(f"p値が{alpha}以上のため、帰無仮説（H0）は採択されます。")
    print("結論: グループAとグループBの平均に有意な差はありません。")
