import numpy as np
from scipy.stats import norm

# サンプルデータ
sample = np.random.normal(50, 5, 100)

# 平均と標準誤差
mean = np.mean(sample)
std_err = np.std(sample, ddof=1) / np.sqrt(len(sample))

# 95%信頼区間の計算
ci = norm.interval(0.95, loc=mean, scale=std_err)

print(f"平均: {mean}")
print(f"95%信頼区間: {ci}")