import numpy as np
from statsmodels.stats.weightstats import ztest

# サンプルデータ
group_a = np.random.normal(50, 5, 1000)
group_b = np.random.normal(52, 5, 1000)

# Z検定
z_stat, p_value = ztest(group_a, group_b)

print(f"Z値: {z_stat}")
print(f"p値: {p_value}")
if p_value < 0.05:
    print("帰無仮説は棄却されます。グループ間に有意な差があります。")
else:
    print("帰無仮説は採択されます。グループ間に有意な差はありません。")