import numpy as np
from scipy.stats import f_oneway

# サンプルデータ
group_a = np.random.normal(50, 5, 30)
group_b = np.random.normal(52, 5, 30)
group_c = np.random.normal(48, 5, 30)

# 分散分析（ANOVA）
f_stat, p_value = f_oneway(group_a, group_b, group_c)

print(f"F値: {f_stat}")
print(f"p値: {p_value}")
if p_value < 0.05:
    print("帰無仮説は棄却されます。グループ間に有意な差があります。")
else:
    print("帰無仮説は採択されます。グループ間に有意な差はありません。")