import numpy as np

# ベイズ推定の例
# 事前確率
prior_prob = 0.01  # 病気である確率
prior_not_prob = 1 - prior_prob  # 健康である確率

# 検査精度
sensitivity = 0.99  # 病気の人が陽性になる確率
specificity = 0.95  # 健康な人が陰性になる確率

# 観測データ（陽性結果）
prob_positive = sensitivity * prior_prob + (1 - specificity) * prior_not_prob

# ベイズ推定
posterior_prob = (sensitivity * prior_prob) / prob_positive

print(f"事後確率（陽性結果の場合に病気である確率）: {posterior_prob:.4f}")