import numpy as np
import matplotlib.pyplot as plt

# 1. 正規分布
normal_data = np.random.normal(loc=50, scale=10, size=1000)  # 平均50, 標準偏差10
plt.hist(normal_data, bins=30, color="blue", alpha=0.7, edgecolor="black")
plt.title("正規分布")
plt.xlabel("値")
plt.ylabel("頻度")
plt.show()

# 2. 二項分布
binomial_data = np.random.binomial(n=10, p=0.5, size=1000)  # 試行回数10, 成功確率0.5
plt.hist(binomial_data, bins=10, color="green", alpha=0.7, edgecolor="black")
plt.title("二項分布")
plt.xlabel("成功回数")
plt.ylabel("頻度")
plt.show()

# 3. ポアソン分布
poisson_data = np.random.poisson(lam=5, size=1000)  # 平均発生回数5
plt.hist(poisson_data, bins=15, color="orange", alpha=0.7, edgecolor="black")
plt.title("ポアソン分布")
plt.xlabel("発生回数")
plt.ylabel("頻度")
plt.show()
