# ベイズの定理の例
# 事前確率
p_a = 0.01  # 病気にかかっている確率
p_not_a = 1 - p_a  # 病気にかかっていない確率

# 検査の正確さ
p_positive_given_a = 0.99  # 病気の人が陽性になる確率
p_positive_given_not_a = 0.05  # 健康な人が陽性になる確率

# 全体で陽性になる確率
p_positive = p_positive_given_a * p_a + p_positive_given_not_a * p_not_a

# ベイズの定理: P(A | Positive) = P(Positive | A) * P(A) / P(Positive)
p_a_given_positive = (p_positive_given_a * p_a) / p_positive

print(f"検査が陽性だった場合に病気である確率: {p_a_given_positive:.4f}")