import numpy as np
import pandas as pd
from scipy.stats import pearsonr, spearmanr

# サンプルデータ作成
np.random.seed(42)
data = {
    "Variable_X": np.random.randint(1, 100, 50),  # 変数X
    "Variable_Y": np.random.randint(1, 100, 50)  # 変数Y
}
df = pd.DataFrame(data)

# 1. ピアソン相関係数
pearson_corr, pearson_p = pearsonr(df["Variable_X"], df["Variable_Y"])
print(f"ピアソン相関係数: {pearson_corr:.2f}, p値: {pearson_p:.4f}")
if pearson_p < 0.05:
    print("ピアソン相関係数は統計的に有意です。")
else:
    print("ピアソン相関係数は統計的に有意ではありません。")

# 2. スピアマン相関係数
spearman_corr, spearman_p = spearmanr(df["Variable_X"], df["Variable_Y"])
print(f"スピアマン相関係数: {spearman_corr:.2f}, p値: {spearman_p:.4f}")
if spearman_p < 0.05:
    print("スピアマン相関係数は統計的に有意です。")
else:
    print("スピアマン相関係数は統計的に有意ではありません。")
