import numpy as np
import pandas as pd
from sklearn.linear_model import LinearRegression
import matplotlib.pyplot as plt

# サンプルデータ作成
np.random.seed(42)
X1 = np.random.rand(50) * 10  # 説明変数1
X2 = np.random.rand(50) * 5   # 説明変数2
y = 3 * X1 + 1.5 * X2 + np.random.randn(50) * 2  # 目的変数（傾き + ノイズ）

# データをDataFrameに格納
df = pd.DataFrame({"X1": X1, "X2": X2, "y": y})

# モデルの作成と学習
model = LinearRegression()
model.fit(df[["X1", "X2"]], df["y"])

# モデルのパラメータ
print(f"回帰係数（X1）: {model.coef_[0]:.2f}")
print(f"回帰係数（X2）: {model.coef_[1]:.2f}")
print(f"切片: {model.intercept_:.2f}")

# 予測値の計算
df["Predicted_y"] = model.predict(df[["X1", "X2"]])

# 結果の表示（部分的な確認）
print("\n実測値と予測値（上位5行）:")
print(df[["y", "Predicted_y"]].head())
