import numpy as np
import random

# 1. サンプルデータ作成（架空のバスケットボール選手のフリースロー成功確率）
player_1_success_rate = 0.8  # 選手1のフリースロー成功率（80%）
player_2_success_rate = 0.65  # 選手2のフリースロー成功率（65%）

# 2. 独立事象の確率
# 選手1と選手2が両方成功する確率
independent_probability = player_1_success_rate * player_2_success_rate
print(f"選手1と選手2が両方フリースローを成功させる確率: {independent_probability:.2f}")

# 3. 条件付き確率
# 選手1がフリースローに成功した場合、選手2も成功する確率を仮定
conditional_probability = 0.7  # 選手1が成功したときに選手2が成功する確率
print(f"条件付き確率: 選手1が成功した場合に選手2が成功する確率: {conditional_probability:.2f}")

# 4. 大数の法則シミュレーション
trials = 10000
player_1_results = [1 if random.random() < player_1_success_rate else 0 for _ in range(trials)]
long_term_success_rate = sum(player_1_results) / trials
print(f"試行回数 {trials} 回での選手1の成功率: {long_term_success_rate:.2f}（理論値: {player_1_success_rate:.2f}）")

# 5. 中心極限定理のシミュレーション
# サンプル平均の分布をプロット
sample_means = []
for _ in range(1000):
    sample = [1 if random.random() < player_1_success_rate else 0 for _ in range(30)]
    sample_means.append(np.mean(sample))

# 結果を可視化
import matplotlib.pyplot as plt

plt.hist(sample_means, bins=30, color="blue", alpha=0.7, edgecolor="black")
plt.title("中心極限定理: フリースロー成功率のサンプル平均の分布")
plt.xlabel("サンプル平均")
plt.ylabel("頻度")
plt.show()
